RHEL 6 : jboss-ec2-eap (RHSA-2017:3219)

medium Nessus Plugin ID 104567
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

An update for jboss-ec2-eap is now available for Red Hat JBoss Enterprise Application Platform 6.4 for Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

The jboss-ec2-eap packages provide scripts for Red Hat JBoss Enterprise Application Platform running on the Amazon Web Services (AWS) Elastic Compute Cloud (EC2).

With this update, the jboss-ec2-eap package has been updated to ensure compatibility with Red Hat JBoss Enterprise Application Platform 6.4.18.

Security Fix(es) :

* It was found that while parsing the SAML messages the StaxParserUtil class of Picketlink replaces special strings for obtaining attribute values with system property. This could allow an attacker to determine values of system properties at the attacked system by formatting the SAML request ID field to be the chosen system property which could be obtained in the 'InResponseTo' field in the response. (CVE-2017-2582)

This issue was discovered by Hynek Mlnarik (Red Hat).

Solution

Update the affected jboss-ec2-eap and / or jboss-ec2-eap-samples packages.

See Also

https://access.redhat.com/documentation/en-us/

https://access.redhat.com/errata/RHSA-2017:3219

https://access.redhat.com/security/cve/cve-2017-2582

Plugin Details

Severity: Medium

ID: 104567

File Name: redhat-RHSA-2017-3219.nasl

Version: 3.9

Type: local

Agent: unix

Published: 11/15/2017

Updated: 10/24/2019

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 4

Temporal Score: 3

Vector: AV:N/AC:L/Au:S/C:P/I:N/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:jboss-ec2-eap, p-cpe:/a:redhat:enterprise_linux:jboss-ec2-eap-samples, cpe:/o:redhat:enterprise_linux:6

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 11/14/2017

Vulnerability Publication Date: 7/26/2018

Reference Information

CVE: CVE-2017-2582

RHSA: 2017:3219